<?php
/**
*
* Enable/disable extensions completely from Chris1278. An extension for the phpBB Forum Software package.
*
* @copyright (c) 2022, Chris1278 & LukeWCS
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” … „ “

$lang = array_merge($lang, [
	// language pack author
	'EXTONOFF_LANG_DESC'					=> 'Spanish - Formal',
	'EXTONOFF_LANG_EXT_VER' 				=> '2.0.0',
	'EXTONOFF_LANG_AUTHOR'	 				=> 'ThE KuKa',

	// settings head
	'EXTONOFF_EXPLAIN_1'					=> 'Aquí tiene la opción de deshabilitar o habilitar todas las extensiones a la vez.',
	'EXTONOFF_EXPLAIN_2'					=> 'También tiene la opción de mostrar los botones directamente viendo "Administrar Extensiones".',
	'EXTONOFF_EXPLAIN_3'					=> '<strong style="color: red">Advertencia:</strong> Solo se pueden habilitar las extensiones que están instaladas. Las extensiones que están en la lista pero que aún no están instaladas no se tienen en cuenta.',

	// settings buttons
	'EXTONOFF_ACTIVATE_OPTION'				=> 'Habilitar/Deshabilitar todas las extensiones',
	'EXTONOFF_DEACTIVATE'					=> 'Deshabilitar todas las extensiones',
	'EXTONOFF_DEACTIVATE_EXPLAIN'			=> 'Esta característica deshabilitará todas las extensiones habilitadas excepto la extensión "Habilitar/deshabilitar extensiones completamente". Deberá deshabilitarla manualmente.',
	'EXTONOFF_ACTIVATE'						=> 'Habilitar todas las extensiones',
	'EXTONOFF_ACTIVATE_EXPLAIN'				=> 'Esta característica habilitará todas las extensiones instaladas, que esten deshabilitadas.',

	// settings
	'EXTONOFF_SETTINGS_TITLE'				=> 'Ajustes',
	'EXTONOFF_INTEGRATION'					=> 'Integración con "Administrar Extensiones"',
	'EXTONOFF_INTEGRATION_EXPLAIN'			=> 'Si activa esta opción, también se muestran botones viendo "Administrar Extensiones" con los que puede habilitar o deshabilitar todas las extensiones allí. Además, se muestra la cantidad de extensiones habilitadas, deshabilitadas y no instaladas, así como la cantidad de extensiones con nuevos archivos de migración.',
	'EXTONOFF_LOG'							=> 'Entrada de registro',
	'EXTONOFF_LOG_EXPLAIN'					=> 'Aquí puede especificar si se debe agregar una entrada al registro del administrador para las acciones "Habilitar todo" y "Deshabilitar todo".',
	'EXTONOFF_CONFIRMATION'					=> 'Confirmación',
	'EXTONOFF_CONFIRMATION_EXPLAIN'			=> 'Aquí puede especificar si las acciones "Habilitar todo" y "Deshabilitar todo" deben solicitarse y deben confirmarse.',

	// settings expert
	'EXTONOFF_EXPERT_SETTINGS_TITLE'		=> 'Ajustes avanzados',
	'EXTONOFF_MIGRATIONS'					=> 'Permitir migraciones',
	'EXTONOFF_MIGRATIONS_EXPLAIN'			=> 'Si activa esta opción, la acción "Habilitar todo" también puede habilitar aquellas extensiones que tienen nuevos archivos de migración. Esto se aplica a las extensiones actualizadas que contienen una carpeta de "migraciones". Sin esta opción, dichas extensiones deben activarse manualmente, lo cual se recomienda.',

	// ext manager
	'EXTONOFF_ALL_DISABLE'					=> 'Deshabilitar todo',
	'EXTONOFF_ALL_ENABLE'					=> 'Habilitar todo',
	'EXTONOFF_INSTALLED'					=> 'instalada',
	'EXTONOFF_NOT_INSTALLED'				=> 'no instalada',
	'EXTONOFF_HAS_MIGRATION'				=> 'nuevas migraciones',

	// misc
	'EXTONOFF_DEFAULT'						=> 'Por defecto',
	'EXTONOFF_EXTENSION_PLURAL'				=> [
		0 => "0 extensiones",
		1 => "%u extensión",
		2 => "%u extensiones",
	],

	// tooltips
	'EXTONOFF_TOOLTIP_HAS_MIGRATION'		=> 'Esta extensión tiene nuevos archivos de migración que se aplican al habilitar la extensión.',
	'EXTONOFF_TOOLTIP_BUTTON_DISABLE'		=> 'Deshabilitar %s.',
	'EXTONOFF_TOOLTIP_BUTTON_ENABLE'		=> 'Habilitar %s.',

	// messages
	'EXTONOFF_MSG_CONFIRM_DISABLE'			=> '¿Está seguro de que deseas deshabilitar %s?',
	'EXTONOFF_MSG_CONFIRM_ENABLE'			=> '¿Está seguro de que deseas habilitar %s?',
	'EXTONOFF_MSG_SETTINGS_SAVED'			=> 'ExtOnOff: Ajustes guardados correctamente.',
	'EXTONOFF_MSG_ACTIVATION_ABORTED'		=> 'ExtOnOff: La operación de "AHabilitar todas las extensiones" se interrumpió porque no se pudo habilitar la siguiente extensión:',
	'EXTONOFF_MSG_DEACTIVATION_SUCCESFULL'	=> 'ExtOnOff: Se deshabilitaron %1$u de %2$u extensiones habilitadas.',
	'EXTONOFF_MSG_ACTIVATION_SUCCESFULL'	=> 'ExtOnOff: Se habilitaron %1$u de %2$u extensiones deshabilitadas.',
	'EXTONOFF_MSG_LANGUAGEPACK_OUTDATED'	=> 'Nota: El paquete de idioma de la extensión <strong>%1$s</strong> ya no está actualizado. (instalado: %2$s / necesario: %3$s)',
]);
